<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: Data Fields - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="#index__"><span>_</span></a></li>
      <li><a href="#index_a"><span>a</span></a></li>
      <li><a href="#index_c"><span>c</span></a></li>
      <li><a href="#index_n"><span>n</span></a></li>
      <li><a href="#index_o"><span>o</span></a></li>
      <li><a href="#index_p"><span>p</span></a></li>
      <li><a href="#index_s"><span>s</span></a></li>
      <li><a href="#index_t"><span>t</span></a></li>
      <li><a href="#index_v"><span>v</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index__">- _ -</a></h3><ul>
<li>__abs__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a3e1e299099628d2f607abf697ebda8cc">magpar_scripts::Vector</a>
</li>
<li>__add__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#aa04061bb54a7327f533c4774f7401394">magpar_scripts::Vector</a>
</li>
<li>__div__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a839fa607a21050767bb9209eb325c67b">magpar_scripts::Vector</a>
</li>
<li>__eq__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a4599677d71ef111ab30b5c5b107c422a">magpar_scripts::Vector</a>
</li>
<li>__getitem__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#ab9e4ddd248e94e963f8ff3a6dc12e973">magpar_scripts::Vector</a>
</li>
<li>__iadd__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#ac1a463ee68e950a2cf6c21a2a52db84e">magpar_scripts::Vector</a>
</li>
<li>__idiv__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#aa7979f89e47b5ac3487993e809a6e23a">magpar_scripts::Vector</a>
</li>
<li>__imul__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#aec81b8cfceaa379982de1608b816e3c9">magpar_scripts::Vector</a>
</li>
<li>__init__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a15bcda734560782fb916b4432aec3a03">magpar_scripts::Vector</a>
, <a class="el" href="classmagpar__scripts_1_1Line.html#aee365b1f50bd58be0074c1519aef40e0">magpar_scripts::Line</a>
, <a class="el" href="classmagpar__scripts_1_1Segment.html#aee16a013254c3986a1b1b9a706e3bf7a">magpar_scripts::Segment</a>
, <a class="el" href="classmagpar__scripts_1_1Polygon.html#a4d9403b32b643bacc75c427120ef6e7e">magpar_scripts::Polygon</a>
</li>
<li>__isub__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a2d6e68f8bcf0803243084877494a4cf5">magpar_scripts::Vector</a>
</li>
<li>__mul__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a3b7855ba9ccb9339bb444985d6801e22">magpar_scripts::Vector</a>
</li>
<li>__ne__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#aedd46ba72c65f72f71ef3962f107ea15">magpar_scripts::Vector</a>
</li>
<li>__neg__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a5528773ef394ef34766cbb1b182f7a22">magpar_scripts::Vector</a>
</li>
<li>__pow__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a0cd76f25e9f55bbaadee54c1c69756f2">magpar_scripts::Vector</a>
</li>
<li>__repr__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a627782f8fdd3439b3dc702226cf40c2c">magpar_scripts::Vector</a>
</li>
<li>__rmul__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a052f01f46c82e5e5be189a9df2e19605">magpar_scripts::Vector</a>
</li>
<li>__setitem__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#abf8c5f1a26eceb4cca9995b4913f1676">magpar_scripts::Vector</a>
</li>
<li>__str__()
: <a class="el" href="classmagpar__scripts_1_1Segment.html#aab2c4576631b455a395e46105aca5935">magpar_scripts::Segment</a>
, <a class="el" href="classmagpar__scripts_1_1Line.html#a5f448ed701dd3b169464ef18f4f4bf6a">magpar_scripts::Line</a>
, <a class="el" href="classmagpar__scripts_1_1Vector.html#af4f34cdf6e5561fc5b79a1095e0b1844">magpar_scripts::Vector</a>
, <a class="el" href="classmagpar__scripts_1_1Polygon.html#a12ffbe285dd623d8316edb42065a2d26">magpar_scripts::Polygon</a>
</li>
<li>__sub__()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a4dca7e09cb8a376622c7fa483b76d0e2">magpar_scripts::Vector</a>
</li>
</ul>


<h3><a class="anchor" id="index_a">- a -</a></h3><ul>
<li>append_segment()
: <a class="el" href="classmagpar__scripts_1_1Polygon.html#a9c9b2da659a2026b33343f883b1df8df">magpar_scripts::Polygon</a>
</li>
</ul>


<h3><a class="anchor" id="index_c">- c -</a></h3><ul>
<li>copy()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a21c1acef8d413b1a455c8f952675dabc">magpar_scripts::Vector</a>
</li>
</ul>


<h3><a class="anchor" id="index_n">- n -</a></h3><ul>
<li>normalize()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#a09df02a39b73d9b4222195986f5bbcfd">magpar_scripts::Vector</a>
</li>
</ul>


<h3><a class="anchor" id="index_o">- o -</a></h3><ul>
<li>outer()
: <a class="el" href="classmagpar__scripts_1_1Vector.html#ae8427b27748b7a7767fbd2ae25286574">magpar_scripts::Vector</a>
</li>
</ul>


<h3><a class="anchor" id="index_p">- p -</a></h3><ul>
<li>point()
: <a class="el" href="classmagpar__scripts_1_1Polygon.html#ab70b184783715a102a9a696ea7405406">magpar_scripts::Polygon</a>
</li>
</ul>


<h3><a class="anchor" id="index_s">- s -</a></h3><ul>
<li>setUp()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a217fc0c725b08fdb8b8ac5ee20308fa2">magpar_scripts::TestVectorClass</a>
, <a class="el" href="classmagpar__scripts_1_1Test__external__field__wire.html#a1b69016f6a4e10e3aeb402c45e50f72b">magpar_scripts::Test_external_field_wire</a>
, <a class="el" href="classmagpar__scripts_1_1TestBiotSavart.html#aa7b94d6aba705ad6b7935963b9da3b9f">magpar_scripts::TestBiotSavart</a>
, <a class="el" href="classmagpar__scripts_1_1TestPolygonClass.html#a753f6e5b7a529c5b2ca74559fe3e520b">magpar_scripts::TestPolygonClass</a>
, <a class="el" href="classmagpar__scripts_1_1TestLineClass.html#a56f6cef08404751bcbfe8055b711657a">magpar_scripts::TestLineClass</a>
</li>
</ul>


<h3><a class="anchor" id="index_t">- t -</a></h3><ul>
<li>testAbs()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ac47043842b47255a7705a71558fafd17">magpar_scripts::TestVectorClass</a>
</li>
<li>testfield()
: <a class="el" href="classmagpar__scripts_1_1TestBiotSavart.html#ac2b1276b2f1cfd375434491c0ee2576a">magpar_scripts::TestBiotSavart</a>
, <a class="el" href="classmagpar__scripts_1_1Test__external__field__wire.html#a66cb7b9eeb26d56a9d004deff5b13c75">magpar_scripts::Test_external_field_wire</a>
</li>
<li>testlength()
: <a class="el" href="classmagpar__scripts_1_1TestLineClass.html#a1cf411059387761f2bc8235cabd89704">magpar_scripts::TestLineClass</a>
</li>
<li>testNeg()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a117d4fa22da3509bfb8205320d241921">magpar_scripts::TestVectorClass</a>
</li>
<li>testNormalize()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#a04e5dcb6644a694bcf6859c7bf13cb22">magpar_scripts::TestVectorClass</a>
</li>
<li>testOuter()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#aedc45061b0ead2c880c52ae0ac7a2469">magpar_scripts::TestVectorClass</a>
</li>
<li>testpoints()
: <a class="el" href="classmagpar__scripts_1_1TestPolygonClass.html#a88d914e42ec91140b42dab87c40560d8">magpar_scripts::TestPolygonClass</a>
</li>
<li>testPow()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ad351b58d7c717bbb4d61a6ecf6e11e5a">magpar_scripts::TestVectorClass</a>
</li>
<li>testSimpleArithmetics()
: <a class="el" href="classmagpar__scripts_1_1TestVectorClass.html#ab372ec12affd4d96b604deaf93e280b3">magpar_scripts::TestVectorClass</a>
</li>
<li>testvector()
: <a class="el" href="classmagpar__scripts_1_1TestLineClass.html#ac344706109083060f339bdc0aa51bd7c">magpar_scripts::TestLineClass</a>
</li>
</ul>


<h3><a class="anchor" id="index_v">- v -</a></h3><ul>
<li>vec()
: <a class="el" href="classmagpar__scripts_1_1Polygon.html#aa70ff6082a31fb51b183a2979a587c6a">magpar_scripts::Polygon</a>
</li>
</ul>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

